apiVersion: apps/v1
kind: Deployment
metadata:
  name: kafka-stream-txntrend-deployment
  namespace: imxc
  labels:
    app: kafka-stream-txntrend
spec:
  replicas: 1
  selector:
    matchLabels:
      app: kafka-stream-txntrend
  template:
    metadata:
      labels:
        app: kafka-stream-txntrend
    spec:
      containers:
      - name: kafka-stream-txntrend
        image: {{ .Values.global.IMXC_IN_REGISTRY }}/kafka-stream-txntrend:{{ .Values.global.KAFKA_STREAM_VERSION }}
        imagePullPolicy: IfNotPresent
        env:
        - name: SERVICE_KAFKA_HOST
          value: kafka-broker:9094
        - name: SERVICE_STREAM_OUTPUT
          value: jspd_txntrend
